Invite user
Invite a new user to organization.
POST https://api.tedee.com/api/v37/organization/{organizationId}/user
URI Parameters
Name |
Type |
Description |
|---|---|---|
organizationId |
number |
id of organization |
Body Parameters
Name |
Type |
Description |
|---|---|---|
name |
string |
User display name |
string |
User email |
|
role |
number (optional) |
Role (1 Admin, 2 Member) |
Responses
Name |
Type |
Description |
|---|---|---|
201 Created |
PostOrganizationUserResponseDto |
Created |
400 Bad Request |
PostOrganizationUserResponseDto |
Bad Request |
401 Unauthorized |
ApiResponse |
Unauthorized |
404 Not Found |
PostOrganizationUserResponseDto |
Not Found |
500 Server Error |
ApiResponse |
Server Error |
Scopes
Name |
Description |
|---|---|
Organization.ReadWrite |
Grants user possibility to read and write organization data |
Examples
Invite John Doe to organization with id 1
curl -X POST "https://api.tedee.com/api/v37/organization/1/user" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <<access token>>" \
-d "{\"name\":\"John Doe\",\"email\":\"new.member@company.com\",\"role\":2}"